Ask Your Question
0

fedora20 x64 appcenter ?

asked 2014-01-16 12:18:12 -0500

Kronolynx gravatar image

updated 2014-05-11 13:50:08 -0500

mether gravatar image

I tried to install appcenter in my fedora mate x64 using the repo:

appcenterfedora/20/x86_64

then when I try to run the appcenter I get:

[root@krono ~]# appcenter
[_LOG_LEVEL_INFO 19:09:04.742049] Application.vala:77: AppCenter version: 0.1
[_LOG_LEVEL_INFO 19:09:04.742207] Application.vala:79: Kernel version: 3.12.7-    300.fc20.x86_64
[_LOG_LEVEL_WARN 19:09:04.742718] [GLib-GIO] Settings schema   'org.pantheon.AppCenter.SavedState' is not installed
Trace/breakpoint trap (core dumped)

how can I get the appcenter to work ? thanks

edit retag flag offensive close merge delete

Comments

appcenter is from a external repo , you have to report there , but why you don't use apper ?

sergiomb gravatar imagesergiomb ( 2014-01-16 13:38:16 -0500 )edit

Is this an alternative to gnome-software?

radioact1ve gravatar imageradioact1ve ( 2014-01-16 14:03:12 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2014-01-16 15:04:55 -0500

Kronolynx gravatar image

updated 2014-01-17 06:02:38 -0500

thanks for the replies. before i installed fedora mate i installed the fedora desktop edition and it had a nice application center, so i searched and found that appcenter and thought was the same.

I just removed it, how can i get the application center that comes with the main edition ?

thanks again


Update:

I just installed the gnome software and got this errors:

Dependencies Resolved

================================================================================
 Package               Arch          Version               Repository      Size
================================================================================
Installing:
 gnome-software        x86_64        3.10.4-2.fc20         updates        7.6 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 7.6 M
Installed size: 8.4 M
Is this ok [y/d/N]: y
Downloading packages:
gnome-software-3.10.4-2.fc20.x86_64.rpm                    | 7.6 MB   00:01     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : gnome-software-3.10.4-2.fc20.x86_64                          1/1 
warning: %post(gnome-software-3.10.4-2.fc20.x86_64) scriptlet failed, exit status 127
Non-fatal POSTIN scriptlet failure in rpm package gnome-software-3.10.4-2.fc20.x86_64
warning: %posttrans(gnome-software-3.10.4-2.fc20.x86_64) scriptlet failed, exit status 127
Non-fatal POSTTRANS scriptlet failure in rpm package gnome-software-3.10.4-2.fc20.x86_64
  Verifying  : gnome-software-3.10.4-2.fc20.x86_64                          1/1 

Installed:
  gnome-software.x86_64 0:3.10.4-2.fc20

and when i try to run it :

[krono@krono ~]$ gnome-software

** (gnome-software:2198): WARNING **: Can't load fallback CSS resource: Failed to     import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

** (gnome-software:2198): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

(gnome-software:2198): Gs-WARNING **: failed to get featured apps: database     /var/lib/PackageKit/desktop-files.db is not present

(gnome-software:2198): Gs-WARNING **: failed to get popular apps:     GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name     org.freedesktop.PackageKit was not provided by any .service files

(gnome-software:2198): Gs-WARNING **: failed to get updates: no results to show

(gnome-software:2198): Gs-WARNING **: failed to get installed apps:     GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name     org.freedesktop.PackageKit was not provided by any .service files

what is wrong now ? thanks for the answers

edit flag offensive delete link more

Comments

1

I assume you're talking about "gnome-software" (from the command line) or "Software" as listed under the shell applications. https://wiki.gnome.org/Apps/Software It comes by default with Fedora 20. No need to install anything.

radioact1ve gravatar imageradioact1ve ( 2014-01-16 17:24:33 -0500 )edit
1

@Kronolynx sudo yum install gnome-software or search in yumex (which is there by default in MATE spin and install it. @radioact1ve, he does need to install it manually since he is using Fedora MATE spin which does not ship it by default

mether gravatar imagemether ( 2014-01-16 20:02:18 -0500 )edit

@mether Understood. That I cede to your knowledge.

radioact1ve gravatar imageradioact1ve ( 2014-01-16 21:21:46 -0500 )edit

thanks guys , yes that's what i wanted to get, the gnome-software , i just edited the answer above to add the errors i got while installing and running it.

Kronolynx gravatar imageKronolynx ( 2014-01-17 05:53:30 -0500 )edit
2
0

answered 2014-01-16 14:05:09 -0500

radioact1ve gravatar image

This thread here seems to have the same error with a potential fix. Hope it helps.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2014-01-16 12:18:12 -0500

Seen: 1,018 times

Last updated: Jan 17 '14